Subject: [alpine-user] Apkcache does not cache packages from local repositories

From: East <[email-masked]>
Date: Fri, 31 May 2019 03:29:56 +0000

There is a package that does not exist in the main or community repo for Alpine 3.9.4 (onboard, it is on on screen keyboard). I used abuild to compile/package it myself, and added it as a local repository under /root/packages. I also moved the corresponding pubkey to /etc/apk/keys. I can now do `apk add onboard` (with the community repo enabled) and it installs with no issues. This is on a run from RAM install with apkcache configured.

The problem is that apkcache does not cache packages for this repository, presumably because it is a local repo. When I reboot, it does not reinstall onboard because it is not in the cache. I have been playing around with it, trying to run `apk add onboard` from a service on boot, but that is a bad way to do it IMO.

Is there a way to enable caching of local repos, or add the packages to the cache manually?